## linux-firmware 20250317.git1d4c88ee

=== debian/changelog ===
linux-firmware (20250317.git1d4c88ee-0ubuntu1.9) plucky; urgency=medium

  * [SRU] Add support of cs42l43 and cs35l56 on ThinkPad P1 and P16 (LP: #2122379)
    - cirrus: cs35l56: Add firmware for Cirrus Amps for some Lenovo laptops

 -- Juerg Haefliger <juerg.haefliger@canonical.com>  Thu, 18 Sep 2025 15:33:24 +0200

linux-firmware (20250317.git1d4c88ee-0ubuntu1.8) plucky; urgency=medium

  * [SRU] multiple functions in GUI unusable, stall with AMD Krackan 2 (LP: #2123814)
    - amdgpu: update dmcub fw for various DCN version
    - amdgpu: update dmcub fw for dcn314
    - amdgpu: DMCUB updates for various ASICs
    - amdgpu: DMCUB updates for various ASICs
    - amdgpu: DMCUB updates for various ASICs
    - amdgpu: DMCUB updates for various ASICs

 -- Juerg Haefliger <juerg.haefliger@canonical.com>  Tue, 16 Sep 2025 17:21:53 +0200

linux-firmware (20250317.git1d4c88ee-0ubuntu1.7) plucky; urgency=medium

  * AMD Krackan point system hang at black screen while booting up (LP: #2121207)
    - amdgpu: update gc 11.5.2 firmware
    - amdgpu: update gc 11.5.2 firmware
    - amdgpu: update GC 11.5.2 firmware
  * Enable  Wi-Fi 7 MLO on MTK MT7925 (2.4/5 GHz) (LP: #2121342)
    - mediatek MT7925: update bluetooth firmware to 20250425073330
    - linux-firmware: update firmware for MT7925 WiFi device
    - linux-firmware: update firmware for MT7925 WiFi device
    - mediatek MT7925: update bluetooth firmware to 20250526153203
    - mediatek MT7925: update bluetooth firmware to 20250721233113
    - linux-firmware: update firmware for MT7925 WiFi device
  * Fix incorrect volume issue on left/right channels on Dell Renegade platform (LP: #2121645)
    - cirrus: cs35l56: Add firmware for Cirrus CS35L56 for various Dell laptops

 -- Juerg Haefliger <juerg.haefliger@canonical.com>  Fri, 12 Sep 2025 16:47:44 +0200

linux-firmware (20250317.git1d4c88ee-0ubuntu1.6) plucky; urgency=medium

  * Update GC 11.5.1 microcode (LP: #2117463)
    - amdgpu: update gc 11.5.1 firmware
    - amdgpu: Update GC 11.5.1 microcode
  * Navi44 fails to load amdgpu (LP: #2119210)
    - amdgpu: update gc 12.0.0 firmware
    - amdgpu: update gc 12.0.0 firmware
    - amdgpu: update psp 14.0.2 firmware
    - amdgpu: update psp 14.0.2 firmware
    - amdgpu: update smu 14.0.2 firmware
    - amdgpu: update smu 14.0.2 firmware
    - amdgpu: update sdma 7.0.0 firmware
  * Update GC 11.5.0 microcode (LP: #2119627)
    - amdgpu: update vcn 4.0.5 firmware
    - amdgpu: update vcn 4.0.5 firmware
    - amdgpu: Update GCN 4.0.5 microcode
    - amdgpu: Update SDMA 6.1.0 microcode
    - amdgpu: Update GC 11.5.0 microcode
  * Missing qcom venus firmware (LP: #2115199)
    - qcom: sc8280xp: FW blob updates for X13s
  * Fix low volume issue on left speaker on Dell Oasis series (LP: #2119494)
    - cirrus: cs35l41: Add Firmware for various HP Laptops using CS35L41 HDA
    - cirrus: cs35l41: Update Firmware for Dell Oasis

 -- Juerg Haefliger <juerg.haefliger@canonical.com>  Fri, 22 Aug 2025 10:14:00 +0200

linux-firmware (20250317.git1d4c88ee-0ubuntu1.5) plucky; urgency=medium

  * [SRU] Add rfkill feature on mt7925 (LP: #2114957)
    - Revert "linux-firmware: update firmware for MT7925 WiFi device"
    - Revert "linux-firmware: update firmware for MT7925 WiFi device"

 -- Juerg Haefliger <juerg.haefliger@canonical.com>  Thu, 07 Aug 2025 09:04:09 +0200

linux-firmware (20250317.git1d4c88ee-0ubuntu1.4) plucky; urgency=medium

  * [SRU] Add rfkill feature on mt7925 (LP: #2114957)
    - linux-firmware: update firmware for MT7925 WiFi device
    - linux-firmware: update firmware for MT7925 WiFi device
  * Ubuntu 24.04.2 Wrong network card detected and firmware missing (LP: #2102029)
    - iwlwifi: add Bz-hr FW for core93-123 release
  * amdtee firmwares provided by both amd64-microcode and linux-firmware  (LP: #2112488)
    - [Packaging] Remove AMD TEE firmware
  * Add new amdgpu firmware for GC 11.5.3 (LP: #2116157)
    - amdgpu: Add GC 11.5.3
    - amdgpu: Add SDMA 6.1.3
    - amdgpu: Add PSP 14.0.5
    - amdgpu: Add DCN 3.6

 -- Juerg Haefliger <juerg.haefliger@canonical.com>  Tue, 15 Jul 2025 18:53:10 +0200

linux-firmware (20250317.git1d4c88ee-0ubuntu1.3) plucky; urgency=medium

  * Miscellaneous Ubuntu changes
    - [Workflow] Switch to pull_request and clean up
  * [AMDGPU] No display during boot on AMDGPU system with Thunderbolt-connected monitor (LP: #2112518)
    - amdgpu: DMCUB updates for various ASICs
    - amdgpu: update dcn 3.5 firmware to 0.1.0.0
    - amdgpu: update dcn 3.5 and dcn 3.5.1 firmware to 9.0.27.0
    - amdgpu: DMCUB updates for various ASICs
    - amdgpu: DMCUB updates for various ASICs
  * glxgears -fullscreen has noises on the gear edges on AMD Hawk Point platforms with QHD panel (LP: #2114157)
    - amdgpu: update dcn 3.1.4 firmware to 8.0.78.0
    - amdgpu: DMCUB updates for various ASICs

 -- Juerg Haefliger <juerg.haefliger@canonical.com>  Mon, 16 Jun 2025 10:49:14 +0200

linux-firmware (20250317.git1d4c88ee-0ubuntu1.2) plucky; urgency=medium

  * [SRU] Fix hardware error 0x85 of WCN785x bluetooth (LP: #2107603)
    - QCA: Update WCN785x btusb firmware to 2.0.0-00790-3
  * Silent bluetooth failure (LP: #2109876)
    - linux-firmware: Update firmware file for Intel BlazarI core
  * Update GuC firmware to v70.44.1 (LP: #2111517)
    - xe: Update GUC to v70.44.1 for BMG and LNL

 -- Juerg Haefliger <juerg.haefliger@canonical.com>  Fri, 30 May 2025 11:04:25 +0200

linux-firmware (20250317.git1d4c88ee-0ubuntu1.1) plucky; urgency=medium

  * Support wifi 6GHz for Philippines on Qualcomm WCN6856 (LP: #2102200)
    - SAUCE: WCN6855 hw2.0: update board-2.bin
  * Fix amplifier cs35l56 dsp fw name for HP LAPZ platform (LP: #2106802)
    - cirrus: cs35l56: Correct filenames of SSID 103c8e1b and 103c8e1c

 -- Juerg Haefliger <juerg.haefliger@canonical.com>  Thu, 17 Apr 2025 08:03:51 +0200

linux-firmware (20250317.git1d4c88ee-0ubuntu1.0) plucky; urgency=medium

  * Initial dummy SRU release.



=== debian/control ===
Source: linux-firmware
Section: misc
Priority: optional
Maintainer: Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>
XSBC-Original-Maintainer: Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>
Standards-Version: 4.5.0
Build-Depends: debhelper-compat (= 13), zstd, rdfind
Vcs-Git: git://git.launchpad.net/~ubuntu-kernel/ubuntu/+source/linux-firmware

Package: linux-firmware
Architecture: any
Priority: optional
Depends: ${misc:Depends}
Recommends: firmware-sof-signed
Provides: atmel-firmware
Conflicts: atmel-firmware
Replaces: atmel-firmware, linux-restricted-common, linux-firmware-snapdragon (<= 1.2-0ubuntu1)
Breaks: linux-firmware-snapdragon (<= 1.2-0ubuntu1), linux-firmware-raspi2 (<= 1.20190819-0ubuntu2), amd64-microcode (<= 3.20220411.1ubuntu1), initramfs-tools (<< 0.142ubuntu8~)
Description: Firmware for Linux kernel drivers
 This package provides firmware used by Linux kernel drivers.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

arch ?= $(shell dpkg-architecture -q DEB_HOST_ARCH)

clean:
	dh_testdir
	dh_clean

	# Run git-build-recipe scripts (only used in conjunction with
	# Launchpad build recipes for special/unofficial builds)
	for f in debian/git-build-recipe/* ; do \
		if [ -f "$${f}" ] && [ -x "$${f}" ] ; then \
			"$${f}" ; \
		fi ; \
	done

	# Run sanity checks if in a git repo
	if [ -d .git ] && [ -x /usr/bin/python3 ] && \
	   ! [ -d debian/git-build-recipe ] ; then \
		$(MAKE) check ; \
	fi

export DH_OPTIONS

install-linux-%: PACKAGE = linux-$*
install-linux-%: DH_OPTIONS = -p$(PACKAGE)
install-linux-%:
	dh_testdir
	dh_testroot
	dh_prep

	# Install firmware files
	debian/scripts/install-firmware $(PACKAGE) $(ARCH)

	# Replace duplicate firmware files with symlinks
	debian/scripts/symlink-duplicates $(PACKAGE)

	dh_installchangelogs
	dh_installdocs

	# Some license files are not ASCII encoded and are therefore ignored
	# by dh_compress so compress them all explicitly
	gzip -9n debian/$(PACKAGE)/usr/share/doc/$(PACKAGE)/licenses/*

	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb -- -Znone

install-arch: ARCH = $(arch)
install-arch: install-linux-firmware

install-indep:

install: install-arch install-indep

binary-arch: install-arch

binary-indep: install-indep

binary: binary-arch binary-indep

# There's nothing to build
build-indep:
build-arch:
build:

## linux-firmware 20250606.git3b75d677

=== debian/changelog ===
linux-firmware (20250606.git3b75d677-0ubuntu1) questing; urgency=medium

  * Miscellaneous Ubuntu changes
    - Rebase to upstream commit 3b75d677f898fe2aacc7b11763bbcd4732e71ce7
      Rebase against git://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git
      - amdgpu: DMCUB updates for various ASICs
      - qcom: Add Audio firmware for Lenovo T14s
      - qcom: Add Audio firmware for Lenovo Slim 7x
      - linux-firmware: Update firmware file for Intel BlazarI core
      - copy-firmware: add usage help text
      - copy-firmware: make script smarter about bad parameters
      - copy-firmware: fail gracefully if moreutils parallel is installed
      - mediatek: Add MT8188 SCP firmware
      - qcom: Add DSP firmware for QCS8300 platform
      - cirrus: Add cs35l56 firmware symlinks for Asus UM5606KA
      - cirrus: cs35l41: Add Firmware for various HP Laptops using CS35L41 HDA
      - amdgpu: update dcn 3.5 firmware to 0.1.0.0
      - amdgpu: update dcn 4.01 firmware to 0.1.3.0
      - amdgpu: update dcn 3.1.4 firmware to 8.0.78.0
      - amdgpu: update dcn 3.5 and dcn 3.5.1 firmware to 9.0.27.0
      - rtl_bt: Update RTL8852BT/RTL8852BE-VT BT USB FW to 0x0471_70A6
      - cirrus: cs35l56: Correct filenames of SSID 103c8e1b and 103c8e1c
      - intel_vpu: Update NPU firmware
      - Revert "rtl_bt: Update RTL8852BT/RTL8852BE-VT BT USB FW to 0x0471_70A6"
      - rtl_bt: Update RTL8852BT/RTL8852BE-VT BT USB FW to 0x17E9_16ED
      - mediatek: Add new mt8188 SOF firmware
      - mediatek: Add new mt8195 SOF firmware
      - qcom: update firmware binary for SM8250
      - QCA: Update WCN785x btusb firmware to 2.0.0-00790-3
      - QCA: Add 8 bluetooth nvm files for WCN785x btusb
      - linux-firmware: add firmware for Aeonsemi AS21x1x 1G/2.5G/5G/10G Ethernet Phy
      - Mellanox: Add new mlxsw_spectrum firmware xx.2014.4012
      - qcom:x1e80100: Support for Lenovo Yoga Slim 7 Snapdragon platform
      - qcom:x1e80100: Iris Support for Lenovo T14s G6 Qualcomm platform
      - i915: Update GUC to v70.44.1 for i915 platforms
      - xe: Update GUC to v70.44.1 for BMG and LNL
      - intel: avs: Update topology file for I2S Dialog 7219
      - intel: avs: Update topology file for Digital Microphone Array
      - intel: avs: Update topology file for HDMI codecs
      - intel: avs: Update topology file for HDAudio codecs
      - intel: avs: Update topology file for I2S Maxim 98357a
      - intel: avs: Update topology file for I2S Maxim 98373
      - intel: avs: Update topology file for I2S Maxim 98927
      - intel: avs: Update topology file for I2S Nuvoton 8825
      - intel: avs: Update topology file for I2S Realtek 274
      - intel: avs: Update topology file for I2S Realtek 286
      - intel: avs: Update topology file for I2S Realtek 298
      - intel: avs: Update topology file for I2S Realtek 5514
      - intel: avs: Update topology file for I2S Realtek 5640
      - intel: avs: Update topology file for I2S Realtek 5663
      - intel: avs: Update topology file for I2S Analog Devices 4567
      - intel: ish: Update license file for ISH
      - amdgpu: update dcn 4.01 frmware to 0.1.6.0
      - amdgpu: update aldebaran firmware
      - amdgpu: update dimgrey cavefish firmware
      - amdgpu: update gc 11.0.4 firmware
      - amdgpu: update psp 13.0.11 firmware
      - amdgpu: update gc 11.5.1 firmware
      - amdgpu: update psp 14.0.1 firmware
      - amdgpu: update psp 13.0.8 firmware
      - amdgpu: update beige goby firmware
      - amdgpu: update gc 9.4.3 firmware
      - amdgpu: update psp 13.0.6 firmware
      - amdgpu: update arcturus firmware
      - amdgpu: update gc 9.4.4 firmware
      - amdgpu: update psp 13.0.14 firmware
      - amdgpu: update gc 11.0.0 firmware
      - amdgpu: update psp 13.0.0 firmware
      - amdgpu: update vcn 4.0.0 firmware
      - amdgpu: update picasso firmware
      - amdgpu: update vangogh firmware
      - amdgpu: update navi10 firmware
      - amdgpu: update gc 11.0.3 firmware
      - amdgpu: update psp 13.0.10 firmware
      - amdgpu: update navi12 firmware
      - amdgpu: update psp 13.0.5 firmware
      - amdgpu: update vega10 firmware
      - amdgpu: update gc 11.0.2 firmware
      - amdgpu: update psp 13.0.7 firmware
      - amdgpu: update smu 13.0.7 firmware
      - amdgpu: update vcn 4.0.4 firmware
      - amdgpu: update vega12 firmware
      - amdgpu: update navi14 firmware
      - amdgpu: update vega20 firmware
      - amdgpu: update gc 12.0.0 firmware
      - amdgpu: update psp 14.0.2 firmware
      - amdgpu: update smu 14.0.2 firmware
      - amdgpu: update yellow carp firmware
      - amdgpu: update sienna cichlid firmware
      - amdgpu: update gc 12.0.1 firmware
      - amdgpu: update psp 14.0.3 firmware
      - amdgpu: update smu 14.0.3 firmware
      - amdgpu: update vcn 5.0.0 firmware
      - amdgpu: update gc 11.5.2 firmware
      - amdgpu: update psp 14.0.4 firmware
      - amdgpu: update navy flounder firmware
      - amdgpu: update gc 11.0.1 firmware
      - amdgpu: update psp 13.0.4 firmware
      - amdgpu: update vcn 4.0.2 firmware
      - amdgpu: update psp 14.0.0 firmware
      - amdgpu: update vcn 4.0.5 firmware
      - contrib: process_linux_firmware: set user agent
      - qcom: vpu: add video firmware binary for qcm6490
      - Revert "rtw89: 8852c: update fw to v0.27.125.0"
      - rtw89: 8852c: add fw v0.27.125.0 with format version 2
      - rtw89: 8852c: update element RF TXPWR to R78
      - rtw89: 8922a: update element RF TXPWR to R40
      - rtl_bt: Update RTL8852BT/RTL8852BE-VT BT USB FW to 0x1881_BA06
      - bmi260: Add BMI260 IMU initial configuration data file
      - ASoC: tas2781: Swap channel for SPI projects.
      - qcom: add QUPv3 firmware for QCS9100 platform
      - iwlwifi: add Bz-hr FW for core93-123 release
      - iwlwifi: update cc/Qu/QuZ firmwares for core95-82 release
      - iwlwifi: update ty/So/Ma firmwares for core95-82 release


## linux-firmware 20250711.git99d64b4f

=== debian/changelog ===
linux-firmware (20250711.git99d64b4f-0ubuntu1) questing; urgency=medium

  * Miscellaneous Ubuntu changes
    - Rebase to upstream commit 99d64b4f788c16e81b6550ef94f43c6b91cfad2d
      Rebase against git://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git
      - linux-firmware: update firmware for MT7921 WiFi device
      - xe: First GuC release for Pantherlake
      - xe: First HuC release for Pantherlake
      - qcom/adreno: sort entries in WHENCE
      - Revert "linux-firmware: Update firmware file for Intel Pulsar core"
      - qcom: Add sdx61 Foxconn vendor firmware image file
      - qcom/adreno: move A610 and A702 ZAP files to Adreno driver section
      - qcom/adreno: document firmware revisions
      - mediatek MT7921: update bluetooth firmware to 20250625154126
      - amdgpu: Add GC 11.5.3
      - amdgpu: Add SDMA 6.1.3
      - amdgpu: Add PSP 14.0.5
      - amdgpu: Add DCN 3.6
      - linux-firmware: Update AMD cpu microcode
      - xe: Add fan_control v203.0.0.0 for BMG

 -- Juerg Haefliger <juerg.haefliger@canonical.com>  Fri, 11 Jul 2025 08:23:22 +0200

linux-firmware (20250701.gite2dad11e-0ubuntu1) questing; urgency=medium

  * Miscellaneous Ubuntu changes
    - [Workflow] Switch to pull_request and clean up
    - Rebase to upstream commit e2dad11e8d4b169fdeac476d694d6ef8f2d3b5bf
      Rebase against git://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git
      - linux-firmware: update firmware for MT7921 WiFi device
      - linux-firmware: update firmware for MT7922 WiFi device
      - mediatek MT7921: update bluetooth firmware to 20250523111333
      - mediatek MT7922: update bluetooth firmware to 20250523103438
      - amdgpu: DMCUB updates for various ASICs
      - Revert "iwlwifi: add Bz/gl FW for core96-76 release" (LP: #2113477)
      - cirrus: cs35l41: Add Firmware for ASUS NUC using CS35L41
      - linux-firmware: update firmware for MT7916
      - linux-firmware: update firmware for MT7981
      - linux-firmware: update firmware for MT7986
      - qcom: sc8280xp: Updated power FW for X13s
      - rtl_nic: update firmware of RTL8153A
      - QCA: Update WCN785x btusb firmware to 2.0.0-00799-5
      - qcom: add gpu firmwares for X1P42100 chipset
      - WHENCE: unify Driver statements
      - amdgpu: Update DMCUB fw for DCN401 & DCN315
      - mediatek: Update mt8186 SCP firmware
      - amdgpu: update dmcub fw for dcn32 and dcn401
      - WHENCE: fix subtly incorrect licensing
      - amdgpu: update aldebaran firmware
      - amdgpu: update dimgrey_cavefish firmware
      - amdgpu: update gc 11.0.1 firmware
      - amdgpu: update vcn 4.0.2 firmware
      - amdgpu: update gc 11.5.0 firmware
      - amdgpu: update vcn 4.0.5 firmware
      - amdgpu: update beige_goby firmware
      - amdgpu: update gc 9.4.3 firmware
      - amdgpu: update psp 13.0.6 firmware
      - amdgpu: update gc 9.4.4 firmware
      - amdgpu: update psp 13.0.14 firmware
      - amdgpu: update gc 11.0.0 firmware
      - amdgpu: update psp 13.0.0 firmware
      - amdgpu: update smu 13.0.0 firmware
      - amdgpu: update vcn 4.0.0 firmware
      - amdgpu: add arcturus IP discovery firmware
      - amdgpu: add gc 9.5.0 firmware
      - amdgpu: add psp 13.0.12 firmware
      - amdgpu: add sdma 4.4.4 firmware
      - amdgpu: add vcn 5.0.1 firmware
      - amdgpu: add gc 11.0.0 kicker firmware
      - amdgpu: add psp 13.0.0 kicker firmware
      - amdgpu: add smu 13.0.0 kicker firmware
      - amdgpu: update navi10 firmware
      - amdgpu: update vangogh firmware
      - amdgpu: update navi12 firmware
      - amdgpu: update gc 11.0.3 firmware
      - amdgpu: update psp 13.0.10 firmware
      - amdgpu: update smu 13.0.10 firmware
      - amdgpu: update gc 10.3.6 firmware
      - amdgpu: update vega10 firmware
      - amdgpu: update navi14 firmware
      - amdgpu: update gc 11.0.2 firmware
      - amdgpu: update psp 13.0.7 firmware
      - amdgpu: update vcn 4.0.4 firmware
      - amdgpu: update smu 13.0.7 firmware
      - amdgpu: update vega12 firmware
      - amdgpu: update vega20 firmware
      - amdgpu: add raven ip discovery firmware
      - amdgpu: add picasso ip discovery firmware
      - amdgpu: update gc 11.0.4 firmware
      - amdgpu: update psp 13.0.11 firmware
      - amdgpu: update gc 11.5.1 firmware
      - amdgpu: update psp 14.0.1 firmware
      - amdgpu: update vcn 4.0.6 firmware
      - amdgpu: update gc 12.0.0 firmware
      - amdgpu: update psp 14.0.2 firmware
      - amdgpu: update sdma 7.0.0 firmware
      - amdgpu: update smu 14.0.2 firmware
      - amdgpu: add raven2 ip discovery firmware
      - amdgpu: update sienna cichlid firmware
      - amdgpu: update gc 11.5.2 firmware
      - amdgpu: update psp 14.0.4 firmware
      - amdgpu: update navy flounder firmware
      - amdgpu: update gc 12.0.1 firmware
      - amdgpu: update psp 14.0.3 firmware
      - amdgpu: update sdma 7.0.1 firmware
      - amdgpu: update smu 14.0.3 firmware
      - amdgpu: update vcn 5.0.0 firmware
      - amdgpu: update renoir firmware
      - brcm: Fix symlinks for Khadas VIM SDIO wifi config
      - qcom: Add sdx61 Foxconn vendor firmware image file
      - amdgpu: update dmcub fw for dcn401
      - Revert "qcom: Add sdx61 Foxconn vendor firmware image file"
      - qcom: venus-5.4: add the firmware binary for qcs615
      - amdgpu: DMCUB updates for DCN401
      - qcom: update firmware binary for SM8550
      - WHENCE: some older AMD drivers are MIT licensed
      - WHENCE: expand the advansys license statement
      - WHENCE: extract license texts
      - rtw89: 8852c: update fw to v0.27.128.0
      - rtw89: 8852c: update fw to v0.27.129.1
      - rtw89: 8922a: update fw to v0.35.80.0

 -- Juerg Haefliger <juerg.haefliger@canonical.com>  Tue, 01 Jul 2025 16:55:01 +0200

## linux-firmware 20250807.gitb6b0b152

=== debian/changelog ===
linux-firmware (20250807.gitb6b0b152-0ubuntu1) questing; urgency=medium

  * Miscellaneous Ubuntu changes
    - [Packaging] Document the release process in the README
    - Rebase to upstream commit b6b0b15278c76bbc1b7aaf17e706734d4be28e00
      Rebase against git://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git
      - linux-firmware: Update firmware file for Intel BlazarI core
      - linux-firmware: Update firmware file for Intel BlazarU core
      - linux-firmware: Update firmware file for Intel Solar core
      - qcom: Update gpu firmwares of QCS615 chipset
      - rtw89: 8922a: update BB parameter V49
      - rtw89: 8852c: add regd fw element with version R72-R57
      - rtw89: 8922a: add regd fw element with version R72-R6
      - rtw89: 8852bt: update fw to v0.29.127.0
      - rtw89: 8852b: update fw to v0.29.128.0
      - amdgpu: Update GC 11.5.1 microcode
      - WHENCE: clarify io_ti origin
      - WHENCE: extract more license statements
      - amdgpu: update dmcub fw for various DCN version
      - intel_vpu: Update NPU firmware
      - qcom: Add Audio topology for QCS6490 RB3Gen2
      - cirrus: cs35l56: Add firmware for Cirrus CS35L56 for various Dell laptops
      - cirrus: cs35l41: Update Firmware for Dell Oasis
      - cirrus: cs35l41: Add Firmware for various ASUS commercial Laptops using CS35L41 HDA
      - amdgpu: update dmcub fw for dcn314
      - qcom: Add firmware binary for SM8750.
      - qcom: Add QCS6490 symlink for QUPv3 firmware
      - linux-firmware: Update AMD cpu microcode
      - i915: Xe3LPD DMC v2.29
      - qcom: update Venus firmware file for v6.0
      - qcom: Update DSP firmware for qcm6490 platform
      - mediatek MT7925: update bluetooth firmware to 20250721233113
      - linux-firmware: update firmware for MT7925 WiFi device
      - linux-firmware: Add firmware for airoha-npu driver
      - qcom: Add QDU100 firmware image files required for booting.
      - amdgpu: Update GC 11.5.0 microcode
      - amdgpu: Update SDMA 6.1.0 microcode
      - amdgpu: Update GCN 4.0.5 microcode

 -- Juerg Haefliger <juerg.haefliger@canonical.com>  Thu, 07 Aug 2025 08:12:40 +0200

## linux-firmware 20250808

=== debian/changelog ===
linux-firmware (20250808-1kaisen) kaisen-packages; urgency=medium

  * Import the 20250808 upstream

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sat, 09 Aug 2025 16:00:59 +0200

linux-firmware (20250109-1kaisen) kaisen-packages; urgency=medium

  * Import the 20250109 upstream

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Wed, 15 Jan 2025 17:35:41 +0200

linux-firmware (20241110-1kaisen) kaisen-packages; urgency=medium

  * Import the 20241110 upstream

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Tue, 19 Nov 2024 01:39:09 +0200

linux-firmware (20240811-1kaisen) kaisen-packages; urgency=medium

  * Import the 20240811 upstream

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sun, 18 Aug 2024 01:33:57 +0200

linux-firmware (20240513-1kaisen) kaisen-packages; urgency=medium

  * Import the 20240513 upstream
  * Add a package to include the Intel VSC drivers
  * Add a package to include the PowerVR drivers
  * Add a package to include the Airoha devices
  * Update drivers list

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sun, 19 May 2024 04:34:37 +0200

linux-firmware (20231211-1kaisen) kaisen-packages; urgency=medium

  * Import the 20231211 upstream

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Wed, 20 Dec 2023 14:54:15 +0100

linux-firmware (20231030-1kaisen) kaisen-packages; urgency=medium

  * Import the 20231030 upstream

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Fri, 03 Nov 2023 18:08:57 +0100

linux-firmware (20230804-1kaisen) kaisen-packages; urgency=medium

  * Import the 20230804 upstream

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Tue, 15 Aug 2023 21:55:09 +0100

linux-firmware (20230515-1kaisen) kaisen-packages; urgency=medium

  * Import the 20230515 upstream

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Thu, 18 May 2023 16:30:32 +0100

linux-firmware (20230310-1kaisen) kaisen-packages; urgency=medium

  * Import the 20230310 upstream
  * Move the ibt directory in /lib/firmware/intel/ to solve the non detected firmware
    (see https://forum.kaisenlinux.org/t/firmware-failed-to-load-intel-ibt-19-0-4-sfi-ddc/313)
  * Move packages and sources in the non-free-firmware area in the repository
  * Add the NXP firmware in the linux-firmware-misc package

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sun, 19 Mar 2023 14:26:52 +0100

linux-firmware (20221109-1kaisen) kaisen-packages; urgency=medium

  * Import the 20221109 upstream

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Mon, 28 Nov 2022 21:52:49 +0100

linux-firmware (20220913-1kaisen) kaisen-packages; urgency=medium

  * Import the 20220913 upstream

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Wed, 28 Sep 2022 10:45:43 +0100

linux-firmware (20220815-2kaisen) kaisen-packages; urgency=medium

  * Improve packaging (remove few firmware from misc to add their own package)
  * Add doc package to add LICENCE* files

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Mon, 05 Sep 2022 19:09:44 +0100

linux-firmware (20220815-1kaisen) kaisen-testing; urgency=medium

  * Initial release to replace firmware-nonfree source package created by
    Debian Kernel team

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Mon, 05 Sep 2022 05:01:04 +0100

=== debian/control ===
Source: linux-firmware
Section: non-free-firmware/kernel
Priority: optional
Maintainer: Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.1
Homepage: https://git.kernel.org/cgit/linux/kernel/git/firmware/linux-firmware.git
Vcs-Browser: https://gitlab.com/kaisenlinux/packages/linux-firmware
Vcs-Git: https://gitlab.com/kaisenlinux/packages/linux-firmware.git

Package: linux-firmware-acenic
Architecture: all
Depends: ${misc:Depends}
Suggests: initramfs-tools
Description: Binary firmware for Alteon AceNIC Gigabit Ethernet card

Package: linux-firmware-adaptec
Architecture: all
Depends: ${misc:Depends}
Suggests: initramfs-tools
Description: Binary firmware for Adaptec Starfire/DuraLAN

Package: linux-firmware-advansys
Architecture: all
Depends: ${misc:Depends}
Suggests: initramfs-tools
Replaces: firmware-misc-nonfree
Description: Binary firmware for AdvanSys SCSI

Package: linux-firmware-airoha
Architecture: all
Depends: ${misc:Depends}
Suggests: initramfs-tools
Replaces: firmware-misc-nonfree
Description: Binary firmware for Airoha devices

Package: linux-firmware-alacritech
Architecture: all
Depends: ${misc:Depends}
Suggests: initramfs-tools
Description: Binary firmware for Alacritech IS-NIC

Package: linux-firmware-amd-graphics
Architecture: all
Depends: ${misc:Depends}
Suggests: initramfs-tools
Replaces: firmware-amd-graphics
Description: Binary firmware for AMD/ATI graphics chips

Package: linux-firmware-amd-microcode
Architecture: all
Depends: ${misc:Depends}
Suggests: initramfs-tools
Replaces: amd64-microcode
Description: AMD CPU Microcode

Package: linux-firmware-amphion
Architecture: all
Depends: ${misc:Depends}
Suggests: initramfs-tools
Description: Binary firmware for Amphion VPU(Video Processing Unit) Codec IP

Package: linux-firmware-atheros
Architecture: all
Depends: ${misc:Depends} 
Suggests: initramfs-tools
Replaces: firmware-atheros, firmware-linux-free, firmware-qcom-soc
Description: Binary firmware for Qualcomm Atheros wireless cards

Package: linux-firmware-atmel
Architecture: all
Depends: ${misc:Depends}
Suggests: initramfs-tools
Description: Binary firmware for Atmel wireless networking chips

Package: linux-firmware-atusb
Architecture: all
Depends: ${misc:Depends}
Suggests: initramfs-tools
Description: Binary firmware for ATUSB IEEE 802.15.4 transceiver

Package: linux-firmware-broadcom
Architecture: all
Depends: ${misc:Depends}
Suggests: initramfs-tools
Replaces: firmware-bnx2, firmware-bnx2x, firmware-misc-nonfree, firmware-brcm80211
Description: Binary firmware for Broadcom/Cypress 802.11

Package: linux-firmware-cadence
Architecture: all
Depends: ${misc:Depends}
Suggests: initramfs-tools
Replaces: firmware-misc-nonfree
Description: Binary firmware for Cadence MHDP8546 DP bridge

Package: linux-firmware-cavium
Architecture: all
Depends: ${misc:Depends}
Suggests: initramfs-tools
Replaces: firmware-cavium
Description: Binary firmware for Cavium Ethernet adapters

Package: linux-firmware-chelsio
Architecture: all
Depends: ${misc:Depends}
Suggests: initramfs-tools
Replaces: firmware-misc-nonfree
Description: Binary firmware for Chelsio Terminator 3 1G/10G Ethernet adapter

Package: linux-firmware-cirrus
Architecture: all
Depends: ${misc:Depends}
Suggests: initramfs-tools
Description: Binary firmware for CS35l41 ALSA HDA audio driver

Package: linux-firmware-conexant
Architecture: all
Depends: ${misc:Depends}
Suggests: initramfs-tools
Replaces: firmware-misc-nonfree
Description: Binary firmware for Conexant USB Wifi/Bluetooth and others PCI devices

Package: linux-firmware-dpaa2
Architecture: all
Depends: ${misc:Depends}
Suggests: initramfs-tools
Description: Binary firmware for NXP Management Complex Bus

Package: linux-firmware-doc
Architecture: all
Depends: ${misc:Depends}
Description: All documentation for Linux firmware (licence files)

Package: linux-firmware-dvb
Architecture: all
Depends: ${misc:Depends}
Suggests: initramfs-tools
Replaces: firmware-misc-nonfree, firmware-linux-free, firmware-siano
Description: Binary firmware for Digital Video Broadcasting (DVB)

Package: linux-firmware-edgeport
Architecture: all
Depends: ${misc:Depends}
Suggests: initramfs-tools
Description: Binary firmware for USB Inside Out Edgeport Serial Driver

Package: linux-firmware-ene
Architecture: all
Depends: ${misc:Depends}
Suggests: initramfs-tools
Replaces: firmware-misc-nonfree
Description: Binary firmware for ENE UB6250 SD card reader

Package: linux-firmware-inside-secure
Architecture: all
Depends: ${misc:Depends}
Suggests: initramfs-tools
Description: Binary firmware for Inside Secure EIP197 crypto

Package: linux-firmware-intel-bluetooth
Architecture: all
Depends: ${misc:Depends}
Suggests: initramfs-tools
Description: Binary firmware for Intel Bluetooth USB

Package: linux-firmware-intel-ethernet
Architecture: all
Depends: ${misc:Depends}
Suggests: initramfs-tools
Replaces: firmware-misc-nonfree
Description: Binary firmware for Intel Ethernet NIC

Package: linux-firmware-intel-graphics
Architecture: all
Depends: ${misc:Depends}
Suggests: initramfs-tools
Replaces: firmware-misc-nonfree
Description: Binary firmware for Intel graphics chips

Package: linux-firmware-intel-hfi1
Architecture: all
Depends: ${misc:Depends}
Suggests: initramfs-tools
Replaces: firmware-misc-nonfree
Description: Binary firmware for Intel OPA Gen 1 adapter

Package: linux-firmware-intel-iscsi
Architecture: all
Depends: ${misc:Depends}
Suggests: initramfs-tools
Replaces: firmware-linux-free
Description: Binary firmware for Intel C600 SAS controller driver

Package: linux-firmware-intel-qat
Architecture: all
Depends: ${misc:Depends}
Suggests: initramfs-tools
Replaces: firmware-misc-nonfree
Description: Binary firmware for Intel(R) QAT crypto accelerator

Package: linux-firmware-intel-sound
Architecture: all
Depends: ${misc:Depends}
Suggests: initramfs-tools
Replaces: firmware-intel-sound
Description: Binary firmware for Intel sound devices

Package: linux-firmware-intel-vsc
Architecture: all
Depends: ${misc:Depends}
Suggests: initramfs-tools
Replaces: firmware-iwlwifi
Description: Binary firmware for Intel Visual Sensing Controller

Package: linux-firmware-iwlwifi
Architecture: all
Depends: ${misc:Depends}
Suggests: initramfs-tools
Replaces: firmware-iwlwifi
Description: Binary firmware for Intel Wireless Wifi

Package: linux-firmware-kaweth
Architecture: all
Depends: ${misc:Depends}
Suggests: initramfs-tools
Replaces: firmware-misc-nonfree
Description: Binary firmware for USB KLSI KL5USB101-based Ethernet device

Package: linux-firmware-keyspan
Architecture: all
Depends: ${misc:Depends}
Suggests: initramfs-tools
Description: Binary firmware for USB Keyspan USA-xxx and PDA single-port serial device
	
Package: linux-firmware-libertas
Architecture: all
Depends: ${misc:Depends}
Suggests: initramfs-tools
Replaces: firmware-libertas
Description: Binary firmware for Marvell Libertas fullmac-type 802.11b/g cards

Package: linux-firmware-mediatek
Architecture: all
Depends: ${misc:Depends}
Suggests: initramfs-tools
Replaces: firmware-misc-nonfree
Description: Binary firmware for MediaTek devices

Package: linux-firmware-mellanox
Architecture: all
Depends: ${misc:Depends}
Suggests: initramfs-tools
Description: Binary firmware for Mellanox spectrum switch

Package: linux-firmware-microchip
Architecture: all
Depends: ${misc:Depends}
Suggests: initramfs-tools
Description: Binary firmware for Microchip PHY

Package: linux-firmware-misc
Architecture: all
Depends: ${misc:Depends}
Suggests: initramfs-tools
Replaces: firmware-misc-nonfree, firmware-linux-free
Description: Binary firmware for various drivers in the Linux kernel

Package: linux-firmware-multitec-usb
Architecture: all
Depends: ${misc:Depends}
Suggests: initramfs-tools
Replaces: firmware-misc-nonfree
Description: Binary firmware for Multi-Tech USB

Package: linux-firmware-myricom
Architecture: all
Depends: ${misc:Depends}
Suggests: initramfs-tools
Replaces: firmware-myricom
Description: Binary firmware for MyriCOM Gigabit Ethernet

Package: linux-firmware-netronome
Architecture: all
Depends: ${misc:Depends}
Suggests: initramfs-tools
Replaces: firmware-netronome
Description: Binary firmware for Netronome Flow Processor

Package: linux-firmware-nvidia-graphics
Architecture: all
Depends: ${misc:Depends}
Suggests: initramfs-tools
Replaces: firmware-misc-nonfree
Description: Binary firmware for Nvidia graphics chips

Package: linux-firmware-pcmcia
Architecture: all
Depends: ${misc:Depends}
Suggests: initramfs-tools
Replaces: firmware-linux-free
Description: Binary firmware for PCMCIA devices

Package: linux-firmware-powervr
Architecture: all
Depends: ${misc:Depends}
Suggests: initramfs-tools
Replaces: firmware-linux-free
Description: Binary firmware for the PowerVR driver

Package: linux-firmware-qlogic
Architecture: all
Depends: ${misc:Depends}
Suggests: initramfs-tools
Replaces: firmware-qlogic, firmware-netxen
Description: Binary firmware for Qlogic QLA devices

Package: linux-firmware-ralink
Architecture: all
Depends: ${misc:Depends}
Suggests: initramfs-tools
Replaces: firmware-misc-nonfree, firmware-realtek
Description: Binary firmware for Ralink wireless devices

Package: linux-firmware-realtek
Architecture: all
Depends: ${misc:Depends}
Suggests: initramfs-tools
Replaces: firmware-realtek
Description: Binary firmware for Realtek wireless/bluetooth/wired devices

Package: linux-firmware-redpine
Architecture: all
Depends: ${misc:Depends}
Suggests: initramfs-tools
Description: Binary firmware for Redpine Signals Inc 91x

Package: linux-firmware-renesas
Architecture: all
Depends: ${misc:Depends}
Suggests: initramfs-tools
Description: Binary firmware for Renesas R-Car Gen2/3 USB 3.0 host controller

Package: linux-firmware-rockchip
Architecture: all
Depends: ${misc:Depends}
Suggests: initramfs-tools
Replaces: firmware-misc-nonfree
Description: Binary firmware for ROCKCHIP rk3399 dptx

Package: linux-firmware-rocketport
Architecture: all
Depends: ${misc:Depends}
Suggests: initramfs-tools
Replaces: firmware-misc-nonfree
Description: Binary firmware for Comtrol RocketPort 2 serial

Package: linux-firmware-samsung
Architecture: all
Depends: ${misc:Depends}
Suggests: initramfs-tools
Replaces: firmware-samsung
Description: Binary firmware for Samsung MFC video encoder/decoder driver

Package: linux-firmware-sensoray
Architecture: all
Depends: ${misc:Depends}
Suggests: initramfs-tools
Replaces: firmware-misc-nonfree
Description: Binary firmware for Sensoray video capture models

Package: linux-firmware-tehuti
Architecture: all
Depends: ${misc:Depends}
Suggests: initramfs-tools
Replaces: firmware-misc-nonfree
Description: Binary firmware for Tehuti Networks 10G Ethernet

Package: linux-firmware-ti
Architecture: all
Depends: ${misc:Depends}
Suggests: initramfs-tools
Replaces: firmware-ti-connectivity
Description: Binary firmware for Texas Instruments (TI) devices

Package: linux-firmware-ueagle
Architecture: all
Depends: ${misc:Depends}
Suggests: initramfs-tools
Replaces: firmware-misc-nonfree
Description: Binary firmware for USB ADSL Modems based on Eagle

Package: linux-firmware-usbdux
Architecture: all
Depends: ${misc:Depends}
Suggests: initramfs-tools
Replaces: firmware-linux-free
Description: Binary firmware for usbdux data acquisition cards

Package: linux-firmware-vxge
Architecture: all
Depends: ${misc:Depends}
Suggests: initramfs-tools
Description: Binary firmware for Exar X3100 Series 10GbE PCIe I/O Virtualized Server Adapter

Package: linux-firmware-wave5
Architecture: all
Depends: ${misc:Depends}
Suggests: initramfs-tools
Description: Binary firmware for Chips&Media, Inc. video codec driver

Package: linux-firmware-wfx
Architecture: all
Depends: ${misc:Depends}
Suggests: initramfs-tools
Description: Binary firmware for Silicon Labs Wi-Fi Transceiver

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_clean:
	rm -rf $(CURDIR)/generated-firmwares/

override_dh_auto_build:
	./copy-firmware.sh --verbose $(CURDIR)/generated-firmwares/

override_dh_auto_test:

override_dh_auto_install:

## linux-firmware 20250818.git07ed893d

=== debian/changelog ===
linux-firmware (20250818.git07ed893d-0ubuntu1) questing; urgency=medium

  * Miscellaneous Ubuntu changes
    - Rebase to upstream commit 07ed893df57c8b1fb30e497d617548254bbf1123
      Rebase against git://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git
      - qcom: Update xbl_config firmware file.
      - ath11k: QCA2066 hw2.1: update board-2.bin
      - ath11k: QCA2066 hw2.1: update to WLAN.HSP.1.1-03926.13-QCAHSPSWPL_V2_SILICONZ_CE-2.52297.9
      - ath11k: QCA6698AQ hw2.1: update to WLAN.HSP.1.1-04650-QCAHSPSWPL_V1_V2_SILICONZ_IOE-2
      - ath11k: WCN6855 hw2.0: update board-2.bin
      - ath12k: QCN9274 hw2.0: update to WLAN.WBE.1.5-01651-QCAHKSWPL_SILICONZ-1
      - ath12k: WCN7850 hw2.0: update to WLAN.HMT.1.1.c5-00302-QCAHMTSWPL_V1.0_V2.0_SILICONZ-1.115823.3
      - qcom: Add QDSP firmware file for Qualcomm QDU100 device.
      - qca: Update Bluetooth WCN6750 1.1.3-00069 firmware to 1.1.3-00091
      - amdgpu: update aldebaran firmware
      - amdgpu: update dimgrey_cavefish firmware
      - amdgpu: update GC 11.0.1 firmware
      - amdgpu: update PSP 13.0.4 firmware
      - amdgpu: update SDMA 6.0.1 firmware
      - amdgpu: update VCN 4.0.2 firmware
      - amdgpu: update GC 11.5.0 firmware
      - amdgpu: update PSP 14.0.0 firmware
      - amdgpu: update VCN 4.0.5 firmware
      - amdgpu: update GC 10.3.7 firmware
      - amdgpu: update PSP 13.0.8 firmware
      - amdgpu: update beige goby firmware
      - amdgpu: update GC 11.0.4 firmware
      - amdgpu: update PSP 13.0.11 firmware
      - amdgpu: update GC 11.5.1 firmware
      - amdgpu: update PSP 14.0.1 firmware
      - amdgpu: update SDMA 6.1.1 firmware
      - amdgpu: update VCN 4.0.6 firmware
      - amdgpu: update vpe 6.1.1 firmware
      - amdgpu: update GC 9.4.3 firmware
      - amdgpu: update PSP 13.0.6 firmware
      - amdgpu: update PSP 13.0.14 firmware
      - amdgpu: update GC 11.0.0 firmware
      - amdgpu: update SDMA 6.0.0 firmware
      - amdgpu: update VCN 4.0.0 firmware
      - amdgpu: update GC 9.5.0 firmware
      - amdgpu: update PSP 13.0.12 firmware
      - amdgpu: update VCN 5.0.1 firmware
      - amdgpu: update PSP 13.0.0 kicker firmware
      - amdgpu: update navi10 firmware
      - amdgpu: update vangogh firmware
      - amdgpu: update navi12 firmware
      - amdgpu: update GC 11.0.3 firmware
      - amdgpu: update PSP 13.0.10 firmware
      - amdgpu: update SDMA 6.0.3 firmware
      - amdgpu: update navi14 firmware
      - amdgpu: update GC 11.0.2 firmware
      - amdgpu: update PSP 13.0.7 firmware
      - amdgpu: update SDMA 6.0.2 firmware
      - amdgpu: update VCN 4.0.4 firmware
      - amdgpu: update GC 10.3.6 firmware
      - amdgpu: update PSP 13.0.5 firmware
      - amdgpu: update VCN 3.1.2 firmware
      - amdgpu: update vega10 firmware
      - amdgpu: update vega12 firmware
      - amdgpu: update GC 12.0.0 firmware
      - amdgpu: update PSP 14.0.2 firmware
      - amdgpu: update SDMA 7.0.0 firmware
      - amdgpu: update vega20 firmware
      - amdgpu: update sienna cichlid firmware
      - amdgpu: update GC 12.0.1 firmware
      - amdgpu: update PSP 14.0.3 firmware
      - amdgpu: update SDMA 7.0.1 firmware
      - amdgpu: update VCN 5.0.0 firmware
      - amdgpu: update yellow carp firmware
      - amdgpu: update GC 11.5.2 firmware
      - amdgpu: update PSP 14.0.4 firmware
      - amdgpu: update SDMA 6.1.2 firmware
      - amdgpu: update navy flounder firmware
      - amdgpu: add GC 12.0.1 kicker firmware
      - amdgpu: add PSP 14.0.3 firmware
      - amdgpu: add SMU 14.0.3 kicker firmware
      - amdgpu: update renoir firmware
      - panthor: Add firmware for more Mali GPUs
      - amdgpu: DMCUB updates for various ASICs
      - mediatek: Add MT8189 SCP firmware
      - realtek: rt1321: Add patch firmware of MCU
      - amdgpu: DMCUB updates for various ASICs

 -- Juerg Haefliger <juerg.haefliger@canonical.com>  Mon, 18 Aug 2025 15:08:59 +0200

linux-firmware (1.56) oneiric; ur

## linux-firmware 20250901.git993ff19b

=== carl9170fw/tools/lib/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

project(libcarlfw)

set(carlfw_src carlfw.c)

add_library( carlfw STATIC ${carlfw_src})

=== debian/changelog ===
linux-firmware (20250901.git993ff19b-0ubuntu1) questing; urgency=medium

  * Miscellaneous Ubuntu changes
    - Rebase to upstream commit 993ff19b553cd4d252fdf99f07c28825ef57b862
      Rebase against git://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git
      - iwlwifi: update cc/Qu/QuZ firmwares for core97-84 release
      - iwlwifi: update ty/So/Ma firmwares for core97-84 release
      - iwlwifi: add Bz/gl FW for core97-84 release
      - qcom: add CDSP firmware for x1e80100 platform
      - rtw89: 8852c: update fw to v0.27.129.3
      - rtw89: 8852c: update fw to v0.27.129.4
      - rtw89: 8922a: update fw to v0.35.80.3
      - Link rtl8723b_config.bin to rtl8723bs
      - qcom: Add firmware binary for SM8650.
      - cirrus: cs35l56: Add firmware for Cirrus Amps for some Lenovo laptops
      - ath11k: WCN6855 hw2.0@nfa765: add to WLAN.HSP.1.1-04685-QCAHSPSWPL_V1_V2_SILICONZ_IOE-1
      - cirrus: cs35l56: Update firmware for Cirrus Amps for some Lenovo laptops
      - cirrus: cs35l41: Move entries to correct driver section in WHENCE
      - intel/ish: Add firmware for LENOVO THINKPAD X1 2-in-1 Gen 10
      - amdgpu: DMCUB updates for various ASICs
      - intel_vpu: Update NPU firmware
      - firmware: qcom: Reorder VPU firmware entries in WHENCE
      - Update README.md to clarify S-o-b requirements
      - amdgpu: Update ISP FW for isp v4.1.1
      - ath11k: Support WCN6855 hw2.1 with NFA firmware variant
      - Revert "intel/ish: Add firmware for LENOVO THINKPAD X1 2-in-1 Gen 10"
      - Move all iwlwifi top level files to intel/ directory
      - Move QAT firmware to intel/ subdirectory
      - Fix link entry for qat_895xcc.bin

 -- Juerg Haefliger <juerg.haefliger@canonical.com>  Mon, 01 Sep 2025 13:02:26 +0200
